Ошибка "#pragma message"

24.03.2019
1
0
1
#1
Всем привет. Решил сделать огненный светильник, но столкнулся с неизвестной мне проблемой. при попытке загрузить скетч или просто его проверить(не загружая) вылезает вот такое
"In file included from C:\Users\мвидео\Desktop\моё=)\GyverLight-master\firmware\gyverLight_v1.3\gyverLight_v1.3.ino:45:0:
C:\Users\user\Desktop\qwerty\arduino-1.8.9\libraries\FastLED-master/FastLED.h:14:21: note: #pragma message: FastLED version 3.002.006
# pragma message "FastLED version 3.002.006"
^
Скетч использует 9754 байт (31%) памяти устройства. Всего доступно 30720 байт.
Глобальные переменные используют 463 байт (22%) динамической памяти, оставляя 1585 байт для локальных переменных. Максимум: 2048 байт."

Arduino ide использовал 1.8.2, 1.8.5, 1.8.9.
пробовал old bootloader.
библиотеку fastled ставил ту что в проекте, пробовал ту что с ide идет, обновлял ее, откатывал.
ардуинка вавгад v3, драйвер для нее стоит.
лента ws2812b
Лента просто светится белым и не реагирует на кнопку
 
Последнее редактирование:

Александр Симонов

Проходящий мимо
02.08.2018
304
56
38
#3
Это не беда, это просто библиотека FastLED сообщает о своей версии. Работе скетча не мешает.
Если что-то не работает, дело не в этой ошибке.
 
08.09.2019
5
1
3
#5
подскажите,что за ошибка
In file included from C:\Users\777\Desktop\arduino\GyverString-master\firmware\GyverStringOffline\GyverStringOffline.ino:63:0:

C:\Users\777\Documents\Arduino\libraries\FastLED-3.2.9/FastLED.h:14:21: note: #pragma message: FastLED version 3.002.009

# pragma message "FastLED version 3.002.009"
 

Александр Симонов

Проходящий мимо
02.08.2018
304
56
38
#6
подскажите,что за ошибка
In file included from C:\Users\777\Desktop\arduino\GyverString-master\firmware\GyverStringOffline\GyverStringOffline.ino:63:0:

C:\Users\777\Documents\Arduino\libraries\FastLED-3.2.9/FastLED.h:14:21: note: #pragma message: FastLED version 3.002.009

# pragma message "FastLED version 3.002.009"
см. выше
 
15.10.2019
4
0
1
#8
Приветствую Вас форумчане! Столкнулся с такой проблемой что при прошивке выдаёт ошибку и в конце компиляция завершена. Точка доступа не меяет названия и остаётся без пароля. Ниже приведу код ошибки. Спасибо
n file included from D:\Тимка\GyverLamp-master\firmware\GyverLamp_v1.5\GyverLamp_v1.5.ino:78:0:

C:\Program Files\Arduino\libraries\FastLED-3.2.9/FastLED.h:14:21: note: #pragma message: FastLED version 3.002.009

# pragma message "FastLED version 3.002.009"

^

In file included from C:\Program Files\Arduino\libraries\FastLED-3.2.9/FastLED.h:65:0,

from D:\Тимка\GyverLamp-master\firmware\GyverLamp_v1.5\GyverLamp_v1.5.ino:78:

C:\Program Files\Arduino\libraries\FastLED-3.2.9/fastspi.h:115:23: note: #pragma message: No hardware SPI pins defined. All SPI access will default to bitbanged output

# pragma message "No hardware SPI pins defined. All SPI access will default to bitbanged output"
 

Александр Симонов

Проходящий мимо
02.08.2018
304
56
38
#9
Приветствую Вас форумчане! Столкнулся с такой проблемой что при прошивке выдаёт ошибку и в конце компиляция завершена. Точка доступа не меяет названия и остаётся без пароля. Ниже приведу код ошибки. Спасибо
n file included from D:\Тимка\GyverLamp-master\firmware\GyverLamp_v1.5\GyverLamp_v1.5.ino:78:0:

C:\Program Files\Arduino\libraries\FastLED-3.2.9/FastLED.h:14:21: note: #pragma message: FastLED version 3.002.009

# pragma message "FastLED version 3.002.009"

^

In file included from C:\Program Files\Arduino\libraries\FastLED-3.2.9/FastLED.h:65:0,

from D:\Тимка\GyverLamp-master\firmware\GyverLamp_v1.5\GyverLamp_v1.5.ino:78:

C:\Program Files\Arduino\libraries\FastLED-3.2.9/fastspi.h:115:23: note: #pragma message: No hardware SPI pins defined. All SPI access will default to bitbanged output

# pragma message "No hardware SPI pins defined. All SPI access will default to bitbanged output"
Это не ошибки и на работоспособность лампы не влияют.
 
25.10.2019
6
0
1
#10
In file included from C:\Arduino_Ambilight\Gyver_Ambilight\Gyver_Ambilight.ino:25:0:

C:\Program Files (x86)\Arduino\libraries\FastLED/FastLED.h:17:21: note: #pragma message: FastLED version 3.001.005

# pragma message "FastLED version 3.001.005"
уважаемые форумчане что с этим делать все по 5 раз переустановил
 

Александр Симонов

Проходящий мимо
02.08.2018
304
56
38
#11
In file included from C:\Arduino_Ambilight\Gyver_Ambilight\Gyver_Ambilight.ino:25:0:

C:\Program Files (x86)\Arduino\libraries\FastLED/FastLED.h:17:21: note: #pragma message: FastLED version 3.001.005

# pragma message "FastLED version 3.001.005"
уважаемые форумчане что с этим делать все по 5 раз переустановил
Ничего, это не ошибка, просто библиотека сообщает номер своей версии.
Если что-то не работает, ищи причину в другом месте
 
25.10.2019
6
0
1
#13
Ничего, это не ошибка, просто библиотека сообщает номер своей версии.
Если что-то не работает, ищи причину в другом месте
Александр все как по шаблону сделал .все загрузилось . диоды тупо горят и все
что дальше ума ни приложу )
 
08.11.2019
3
0
1
#14
Доброго времени суток ... при заливке в Ардуино уно скетча выдает постоянно такую ошибку.... кто сталкивался с таким? Помогите плиз)

In file included from D:\Arduino\GyverMatrixBT-master\firmware\old version\GyverMatrixOS_v1.4\GyverMatrixOS_v1.4.ino:73:0:

C:\Users\User\Documents\Arduino\libraries\FastLED/FastLED.h:14:21: note: #pragma message: FastLED version 3.003.002

# pragma message "FastLED version 3.003.002"

^~~~~~~~~~~~~~~~~~~~~~~~~~~

Скетч использует 22202 байт (72%) памяти устройства. Всего доступно 30720 байт.
Глобальные переменные используют 984 байт (48%) динамической памяти, оставляя 1064 байт для локальных переменных. Максимум: 2048 байт.
 

Александр Симонов

Проходящий мимо
02.08.2018
304
56
38
#15
Доброго времени суток ... при заливке в Ардуино уно скетча выдает постоянно такую ошибку.... кто сталкивался с таким? Помогите плиз)

In file included from D:\Arduino\GyverMatrixBT-master\firmware\old version\GyverMatrixOS_v1.4\GyverMatrixOS_v1.4.ino:73:0:

C:\Users\User\Documents\Arduino\libraries\FastLED/FastLED.h:14:21: note: #pragma message: FastLED version 3.003.002

# pragma message "FastLED version 3.003.002"

^~~~~~~~~~~~~~~~~~~~~~~~~~~

Скетч использует 22202 байт (72%) памяти устройства. Всего доступно 30720 байт.
Глобальные переменные используют 984 байт (48%) динамической памяти, оставляя 1064 байт для локальных переменных. Максимум: 2048 байт.
Это не ошибка, это библиотека FastLED для справки выдаёт свою версию. Если что-то не работает, ищите причину в другом месте.
 
#16
Гирлянда не работает с приложением, смартфон подключается но ничего не происходит. Все режимы работают сами постоянно меняясь. Ещё есть оранжевые буквы, может это связано?
 

Вложения